//该类为演示基本逻辑所用
//生成环境所需AccessToken请走后台请求
import hmacSHA256 from 'crypto-js/hmac-sha256';
import Base64 from 'crypto-js/enc-base64';

class AccessToken {
    constructor(app_id = "krtctest", app_secret = "krtctest") {
        this.version = "1"
        this.app_id = app_id;
        this.app_secret = app_secret;
    }
    //user_id为终端e164
    //expire=期望生效时间
    build(user_id, expire){
        let that = this;
        let salt = Math.floor(Math.random()*100000000);
        let expire_ts = new Date().getTime() + expire;

        const signature = Base64.stringify(hmacSHA256(that.app_id + user_id + salt + expire_ts, that.app_secret));

        let token = this.version+":"+this.app_id+":"+salt+":"+expire_ts+":"+signature

        return token
    }
}

export default AccessToken;